Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Package eventlist :: Module view :: Class EventListDialog |
[frames] | no frames]

# Class EventListDialog

source code

    humblewx.Dialog --+
                      |
       framework.Dialog --+
                          |
                         EventListDialog

    <BoxSizerVertical>

        <ListBox proportion="1" border="ALL" width="300"
            choices="$(event_list)"
            name="lb_events"
            event_EVT_LISTBOX_DCLICK="on_ok"
        />

        <DialogButtonsOkCancelSizer border="LEFT|RIGHT|BOTTOM"
            event_EVT_BUTTON__ID_OK="on_ok"
        />

    </BoxSizerVertical>

Instance Methods
__init__(self, parent, event_list) | source code
GetSelectedIndex(self) | source code
Close(self) | source code
Inherited from `framework.Dialog`: `DisplayErrorMessage`, `DisplayInformationMessage`, `EndModalOk`